Skip to content
Start here

Push Message Batch

client.queues.messages.bulkPush(stringqueueId, MessageBulkPushParams { account_id, delay_seconds, messages } params?, RequestOptionsoptions?): MessageBulkPushResponse { metadata }
POST/accounts/{account_id}/queues/{queue_id}/messages/batch

Push a batch of message to a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
queueId: string

A Resource identifier.

maxLength32
params: MessageBulkPushParams { account_id, delay_seconds, messages }
account_id?: string

Path param: A Resource identifier.

maxLength32
delay_seconds?: number

Body param: The number of seconds to wait for attempting to deliver this batch to consumers

messages?: Array<MqQueueMessageText { body, content_type, delay_seconds } | MqQueueMessageJson { body, content_type, delay_seconds } >

Body param

One of the following:
MqQueueMessageText { body, content_type, delay_seconds }
body?: string
content_type?: "text"
delay_seconds?: number

The number of seconds to wait for attempting to deliver this message to consumers

MqQueueMessageJson { body, content_type, delay_seconds }
body?: unknown
content_type?: "json"
delay_seconds?: number

The number of seconds to wait for attempting to deliver this message to consumers

ReturnsExpand Collapse
MessageBulkPushResponse { metadata }
metadata?: Metadata { metrics }
metrics?: Metrics { backlog_bytes, backlog_count, oldest_message_timestamp_ms }

Best-effort metrics for the queue. Values may be approximate due to the distributed nature of queues.

backlog_bytes: number

The size in bytes of unacknowledged messages in the queue.

backlog_count: number

The number of unacknowledged messages in the queue.

oldest_message_timestamp_ms: number

Unix timestamp in milliseconds of the oldest unacknowledged message in the queue. Returns 0 if unknown.

Push Message Batch

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.queues.messages.bulkPush('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.metadata);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "metadata": {
      "metrics": {
        "backlog_bytes": 1024,
        "backlog_count": 5,
        "oldest_message_timestamp_ms": 1710950954154
      }
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "metadata": {
      "metrics": {
        "backlog_bytes": 1024,
        "backlog_count": 5,
        "oldest_message_timestamp_ms": 1710950954154
      }
    }
  },
  "success": true
}